# Interface JUnitTestSuiteBinarySpec

All Superinterfaces:
  `Binary, BinarySpec, Buildable, BuildableComponentSpec, CheckableComponentSpec, ComponentSpec, JvmBinarySpec, JvmTestSuiteBinarySpec, ModelElement, Named, TestSuiteBinarySpec, org.gradle.jvm.internal.WithDependencies`

@Incubating public interface JUnitTestSuiteBinarySpec extends JvmTestSuiteBinarySpec
Represents a JUnit test suite binary.

Since:
  2.11

## Nested Class Summary

### Nested classes/interfaces inherited from interface JvmTestSuiteBinarySpec

`JvmTestSuiteBinarySpec.JvmTestSuiteTasks`

### Nested classes/interfaces inherited from interface Named

`Named.Namer`

## Method Summary

Modifier and Type
Method
Description
`String`
`getjUnitVersion()`
`JUnitTestSuiteSpec`
`getTestSuite()`
Returns the test suite that this binary belongs to.
`void`
`setjUnitVersion(String version)`

### Methods inherited from interface Binary

`getDisplayName`

### Methods inherited from interface BinarySpec

`getInputs, getSources, isBuildable`

### Methods inherited from interface Buildable

`getBuildDependencies`

### Methods inherited from interface BuildableComponentSpec

`builtBy, getBuildTask, hasBuildDependencies, setBuildTask`

### Methods inherited from interface CheckableComponentSpec

`checkedBy, getCheckTask, setCheckTask`

### Methods inherited from interface ComponentSpec

`getProjectPath`

### Methods inherited from interface JvmBinarySpec

`getClassesDir, getResourcesDir, getTargetPlatform, getToolChain, setClassesDir, setResourcesDir, setTargetPlatform, setToolChain`

### Methods inherited from interface JvmTestSuiteBinarySpec

`getRuntimeClasspath, getTasks, getTestedBinary`

### Methods inherited from interface ModelElement

`getDisplayName, getName`

### Methods inherited from interface org.gradle.jvm.internal.WithDependencies

`getDependencies, setDependencies`

## Method Details

### getTestSuite

JUnitTestSuiteSpec getTestSuite()
Description copied from interface: `TestSuiteBinarySpec`
Returns the test suite that this binary belongs to.

Specified by:
  `getTestSuite` in interface `JvmTestSuiteBinarySpec`
Specified by:
  `getTestSuite` in interface `TestSuiteBinarySpec`

### getjUnitVersion

String getjUnitVersion()

### setjUnitVersion

void setjUnitVersion(String version)